Bug 1284835 - Since upgrade to 23, DDEBUG and INFO messages shown
Since upgrade to 23, DDEBUG and INFO messages shown
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 05:17 EST by Bas Mevissen
Modified: 2017-05-10 10:24 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-09 14:37:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bas Mevissen 2015-11-24 05:17:10 EST
Since the upgrade from Fedora 22 to 23, I see DDEBUG messages with every call to dnf. For example:

$ sudo dnf update
Last metadata expiration check performed 0:20:17 ago on Tue Nov 24 10:30:00 2015.
Dependencies resolved.
Nothing to do.
Complete!
INFO:dnf:Complete!
DDEBUG:dnf:Cleaning up.

sudo dnf install dnf-automatic
Last metadata expiration check performed 0:46:23 ago on Tue Nov 24 10:30:00 2015.
Dependencies resolved.
==================================================================================================================================
 Package                           Arch                       Version                           Repository                   Size
==================================================================================================================================
Installing:
 dnf-automatic                     noarch                     1.1.4-1.fc23                      updates                      92 k

Transaction Summary
==================================================================================================================================
Install  1 Package

Total download size: 92 k
Installed size: 55 k
Is this ok [y/N]: y
Downloading Packages:
dnf-automatic-1.1.4-1.fc23.noarch.rpm                                                             435 kB/s |  92 kB     00:00    
----------------------------------------------------------------------------------------------------------------------------------
Total                                                                                              71 kB/s |  92 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : dnf-automatic-1.1.4-1.fc23.noarch                                                                             1/1 
  Verifying   : dnf-automatic-1.1.4-1.fc23.noarch                                                                             1/1 

Installed:
  dnf-automatic.noarch 1.1.4-1.fc23                                                                                               

You should restart:
  Nothing needs to be restarted
DEBUG:dnf.plugin:Completion plugin: Generating completion cache...
Complete!
INFO:dnf:Complete!
DDEBUG:dnf:Cleaning up.
DDEBUG:dnf:/var/cache/dnf/updates-e042e478e0621ea6/packages/dnf-automatic-1.1.4-1.fc23.noarch.rpm removed

The lines starting with INFO and DDEBUG should not be there.

I did try to explicitly set the debug_level to 0 in /etc/dnf/dnf.conf, but that did not make any change.

DNF packages installed:

dnf-1.1.4-1.fc23.noarch
dnf-conf-1.1.4-1.fc23.noarch
dnfdaemon-0.3.11-1.fc23.noarch
dnf-langpacks-conf-0.15.1-1.fc23.noarch
dnf-plugins-core-0.1.14-1.fc23.noarch
dnf-plugin-system-upgrade-0.7.0-1.fc23.noarch
dnf-yum-1.1.4-1.fc23.noarch
python2-dnf-1.1.4-1.fc23.noarch
python2-dnf-plugin-system-upgrade-0.7.0-1.fc23.noarch
python3-dnf-1.1.4-1.fc23.noarch
python3-dnfdaemon-0.3.11-1.fc23.noarch
python3-dnf-langpacks-0.15.1-1.fc23.noarch
python3-dnf-plugins-core-0.1.14-1.fc23.noarch
python3-dnf-plugins-extras-common-0.0.11-1.fc23.noarch
python3-dnf-plugins-extras-leaves-0.0.11-1.fc23.noarch
python3-dnf-plugins-extras-repoclosure-0.0.11-1.fc23.noarch
python3-dnf-plugins-extras-repograph-0.0.11-1.fc23.noarch
python3-dnf-plugins-extras-repomanage-0.0.11-1.fc23.noarch
python3-dnf-plugins-extras-rpmconf-0.0.11-1.fc23.noarch
python3-dnf-plugins-extras-tracer-0.0.11-1.fc23.noarch
python3-dnf-plugin-system-upgrade-0.7.0-1.fc23.noarch
python-dnf-plugins-core-0.1.14-1.fc23.noarch
python-dnf-plugins-extras-common-0.0.11-1.fc23.noarch
python-dnf-plugins-extras-migrate-0.0.11-1.fc23.noarch
yumex-dnf-4.1.5-1.fc23.noarch
Comment 1 boris.bigott 2016-01-27 11:37:09 EST
Same here on Fedora 23. Some of the logging messages (independed of the loglevel set) are printed to stdout. I have the following dnf packages installed:
dnf
dnf-conf
dnf-langpacks
dnf-langpacks-conf
dnf-plugin-system-upgrade
dnf-plugins-core
dnf-yum
python-dnf-langpacks
python-dnf-plugins-core
python-dnf-plugins-extras-common
python2-dnf
python2-dnf-plugin-system-upgrade
python3-dnf
python3-dnf-langpacks
python3-dnf-plugin-system-upgrade
python3-dnf-plugins-core
python3-dnf-plugins-extras-common
python3-dnf-plugins-extras-rpmconf
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:36:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bas Mevissen 2016-07-12 15:05:19 EDT
Problem remained when upgrading to Fedora 24. Found a solution in uninstalling all but the essential stuff and reinstalling only what I really needed. Seems to have got rid of the annoying messages.
Comment 4 Charles-Henri d'Adhémar 2016-11-07 03:41:15 EST
I have the problem too on Fedora 24:

dnf list installed '*dnf*'
dnf.noarch                                 1.1.10-1.fc24
dnf-conf.noarch                            1.1.10-1.fc24
dnf-langpacks.noarch                       0.15.1-4.fc24
dnf-langpacks-conf.noarch                  0.15.1-4.fc24
dnf-plugins-core.noarch                    0.1.21-3.fc24
dnf-plugins-extras.noarch                  0.0.12-3.fc24
dnf-yum.noarch                             1.1.10-1.fc24
python3-dnf.noarch                         1.1.10-1.fc24
python3-dnf-langpacks.noarch               0.15.1-4.fc24
python3-dnf-plugins-core.noarch            0.1.21-3.fc24
python3-dnf-plugins-extras-common.noarch   0.0.12-3.fc24
python3-dnf-plugins-extras-rpmconf.noarch  0.0.12-3.fc24


sudo LANG= dnf update
Last metadata expiration check: 0:27:56 ago on Mon Nov  7 09:09:02 2016.
Dependencies resolved.
Nothing to do.
Complete!
INFO:dnf:Complete!
DDEBUG:dnf:Cleaning up.

When disabling all plugins I have no issue:

sudo LANG= dnf --noplugins update
Last metadata expiration check: 0:30:28 ago on Mon Nov  7 09:09:02 2016.
Dependencies resolved.
Nothing to do.
Complete!

Removing
python3-dnf-plugins-extras-common
python3-dnf-plugins-extras-rpmconf
fixes the issue.
Comment 5 Fedora End Of Life 2016-11-24 08:41:04 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Miroslav Suchý 2016-11-30 08:45:47 EST
python3-dnf-plugins-extras-rpmconf has different maintainer than rpmconf itself.
Reassinging to dnf-plugins-extras
Comment 7 Fedora End Of Life 2017-02-28 04:50:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 8 Jaroslav Mracek 2017-05-09 14:37:03 EDT
I am sorry but I am unable to reproduce it with dnf-2.4.0_1-7gca0f46b.fc25.noarch
libdnf-0.8.2-3gc54f4fd.fc25.x86_64, and python3-dnf-plugin-rpmconf-2.0.0-1.fc25.noarch. The latest packages are available from our testing repository (dnf copr enable rpmsoftwaremanagement/dnf-nightly) for Fedora 24+. Please if you will be able to reproduce the problem with latest packages, please don't hesitate to reopen the bug report.
Comment 9 Bas Mevissen 2017-05-10 10:24:05 EDT
Not sure how this ended up to be reported against 26. It was a 23 problem, persisted in 24 and I don't think it is in 25. At least, I don't see it anymore.
I vaguely recall having edited a file (outside /etc) to disable debug, but I would expect that to be overwritten in one of the updates.

Note You need to log in before you can comment on or make changes to this bug.